import { RendererElement } from 'vue';
declare const COffcanvas: import("vue").DefineComponent<{
    /**
     * Apply a backdrop on body while offcanvas is open.
     */
    backdrop: {
        type: BooleanConstructor;
        default: boolean;
        require: boolean;
    };
    /**
     * Closes the offcanvas when escape key is pressed.
     */
    keyboard: {
        type: BooleanConstructor;
        default: boolean;
        require: boolean;
    };
    /**
     * Components placement, there’s no default placement.
     *
     * @values 'start', 'end', 'top', 'bottom'
     */
    placement: {
        type: StringConstructor;
        default: undefined;
        require: boolean;
        validator: (value: string) => boolean;
    };
    /**
     * Allow body scrolling while offcanvas is open
     */
    scroll: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Toggle the visibility of offcanvas component.
     */
    visible: {
        type: BooleanConstructor;
        require: boolean;
    };
}, () => (false | import("vue").VNode<import("vue").RendererNode, RendererElement, {
    [key: string]: any;
}>)[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("hide" | "show")[], "hide" | "show", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Apply a backdrop on body while offcanvas is open.
     */
    backdrop: {
        type: BooleanConstructor;
        default: boolean;
        require: boolean;
    };
    /**
     * Closes the offcanvas when escape key is pressed.
     */
    keyboard: {
        type: BooleanConstructor;
        default: boolean;
        require: boolean;
    };
    /**
     * Components placement, there’s no default placement.
     *
     * @values 'start', 'end', 'top', 'bottom'
     */
    placement: {
        type: StringConstructor;
        default: undefined;
        require: boolean;
        validator: (value: string) => boolean;
    };
    /**
     * Allow body scrolling while offcanvas is open
     */
    scroll: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Toggle the visibility of offcanvas component.
     */
    visible: {
        type: BooleanConstructor;
        require: boolean;
    };
}>> & {
    onHide?: ((...args: any[]) => any) | undefined;
    onShow?: ((...args: any[]) => any) | undefined;
}, {
    scroll: boolean;
    visible: boolean;
    placement: string;
    backdrop: boolean;
    keyboard: boolean;
}>;
export { COffcanvas };
